ParallelNioSender (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.nio.ParallelNioSender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport.nio
Class ParallelNioSender

    java.lang.Object
      org.apache.catalina.tribes.transport.AbstractSender
          org.apache.catalina.tribes.transport.nio.ParallelNioSender

All Implemented Interfaces:
  DataSender, MultiPointSender

    public class ParallelNioSender

extends AbstractSender
implements MultiPointSender

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable

Field Summary
`protected static Log` | `log`
`protected java.util.HashMap` | `nioSenders`
`protected java.nio.channels.Selector` | `selector`
`protected long` | `selectTimeout`

Constructor Summary
`ParallelNioSender()`

Method Summary
`void` | `add(Member member)`
`void` | `connect()` connect
`void` | `disconnect()` disconnect
`void` | `finalize()`
`boolean` | `keepalive()` keepalive
`void` | `remove(Member member)`
`void` | `sendMessage(Member[] destination, ChannelMessage msg)`

Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender
`getAddress, getAttempt, getConnectTime, getDestination, getDirect, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, isConnected, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirect, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, transferProperties`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender
`setDirectBuffer, setMaxRetryAttempts, setRxBufSize, setTxBufSize`

Methods inherited from interface org.apache.catalina.tribes.transport.DataSender
`getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setTimeout`

Field Detail

### log

    protected static Log log

### selectTimeout

    protected long selectTimeout

### selector

    protected java.nio.channels.Selector selector

### nioSenders

    protected java.util.HashMap nioSenders

Constructor Detail

### ParallelNioSender

    public ParallelNioSender()
                      throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### sendMessage

    public void sendMessage(Member[] destination,
                            ChannelMessage msg)
                     throws ChannelException

  Specified by:
    `sendMessage` in interface `MultiPointSender`
  Throws:
    `ChannelException`

### connect

    public void connect()

  Description copied from class: `AbstractSender`
  connect

  Specified by:
    `connect` in interface `DataSender`
  Specified by:
    `connect` in class `AbstractSender`

### add

    public void add(Member member)

  Specified by:
    `add` in interface `MultiPointSender`

### remove

    public void remove(Member member)

  Specified by:
    `remove` in interface `MultiPointSender`

### disconnect

    public void disconnect()

  Description copied from class: `AbstractSender`
  disconnect

  Specified by:
    `disconnect` in interface `DataSender`
  Specified by:
    `disconnect` in class `AbstractSender`

### finalize

    public void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### keepalive

    public boolean keepalive()

  Description copied from class: `AbstractSender`
  keepalive

  Specified by:
    `keepalive` in interface `DataSender`
  Overrides:
    `keepalive` in class `AbstractSender`
  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.